condenser_api.get_blog_entries
Purpose
返回某账户的博客(blog)条目列表。参数:account:string;start_entry_id:int;limit:int 最大 500
account (string) | start_entry_id (int) | limit (int) | |
|---|---|---|---|
| "steemit" | 0 | 1 | 查询名为 "steemit" 的账户的博客条目,最多一条结果。 |
| "alice" | 0 | 50 | 查询名为 "alice" 的账户的博客条目,最多 50 条结果。 |
另见:follow_api.get_blog_entries、Paginated API Methods
Parameters
PARAMETERS
json
[
"steemit",
0,
1
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_blog_entries",
"params": [
"steemit",
0,
1
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_blog_entries",
"params": [
"alice",
0,
50
],
"id": 1
}'Response
RESPONSE
json
[
{
"author": "steemit",
"permlink": "firstpost",
"blog": "steemit",
"reblog_on": "1970-01-01T00:00:00",
"entry_id": 0
}
]